%define _optlevel 2

Name: stellarium
Version: 0.6.2
Release: alt1

Group: Education
Summary: Planetarium
Url: http://stellarium.free.fr/
License: GPL

Source0: %name-%version.tar.bz2
Source2: %name.16.xpm
Source3: %name.32.xpm
Source4: %name.48.xpm

Patch1: flags.patch

# Automatically added by buildreq on Wed Oct 01 2003 (-bi)
#BuildRequires: XFree86-devel-static XFree86-libs esound gcc-c++ libGLU-devel libSDL-devel libalsa libaudiofile libstdc++-devel stellarium

BuildRequires: XFree86-devel XFree86-libs esound gcc-c++ libGLU-devel libSDL-devel libalsa
BuildRequires: libaudiofile libstdc++-devel

%description
Stellaruim provides planetarium on your desktop.
It renders 3D photo-realistic skies in real time:
- Over 120000 stars from the Hipparcos Catalogue with name and infos for the brightest ones.
- Planets in real time, with a powerfull zoom mode to see them like in a telescope.
- Drawing of the 88 constellations with their names.
- Drawing of more than 40 messiers objects (Orion, M31 etc..).
- Photorealistic Milky Way.
- Ground, fog, and landscape.
- Star twinkling.
- Grids in Equatorial and Azimuthal coordinates.
- Time control (real time and accelered time modes).
- Graphical menu for simple utilisation.
- Clikable stars, planets and nebulas with informations.
- Ecliptic and celestrial equator lines.
- Smooth real time navigation.

%prep
%setup -q
%patch1 -p0
%__aclocal
%__autoconf
%__automake

%build
%add_optflags -I%_includedir/SDL -D_REENTRANT
export LDFLAGS="-L/usr/X11R6/lib"
%configure \
    --datadir=%_gamesdatadir \
    --bindir=%_gamesbindir
%make_build
# datadir=%_gamesdatadir bindir=%_gamesbindir

%install
%make install \
    DESTDIR=%buildroot \
    datadir=%_gamesdatadir \
    bindir=%_gamesbindir \


mkdir -p %buildroot/%_gamesdatadir/%name
#cp -R {textures,data,config} %buildroot/%_gamesdatadir/%name
#rm -f  %buildroot/%_gamesdatadir/%name/{textures,data,config}/Makefile*

mkdir -p $RPM_BUILD_ROOT%_menudir
cat <<EOF >$RPM_BUILD_ROOT%_menudir/%name
?package(%name):command="%name" \
		  icon="%name.xpm" \
		  needs="x11" \
		  section="Applications/Edutainment/Science" \
		  title="Stellarium" \
		  longtitle="Planetarium"
EOF

mkdir -p %buildroot/%_iconsdir/hicolor/apps/{16x16,32x32,48x48}
install -m 644 %SOURCE2 %buildroot/%_iconsdir/hicolor/apps/16x16/%name.xpm
install -m 644 %SOURCE3 %buildroot/%_iconsdir/hicolor/apps/32x32/%name.xpm
install -m 644 %SOURCE4 %buildroot/%_iconsdir/hicolor/apps/48x48/%name.xpm

%post
%update_menus
%postun
%clean_menus

%files
%doc AUTHORS ChangeLog TODO
%_gamesbindir/*
%_gamesdatadir/*
%_menudir/*
%_iconsdir/hicolor/apps/*/%name.*
%_man1dir/%name.*

%changelog
* Thu Jan 27 2005 Sergey V Turchin <zerg at altlinux dot org> 0.6.2-alt1
- new version

* Tue Aug 17 2004 Sergey V Turchin <zerg at altlinux dot org> 0.6.0-alt1
- new version
- fix menu section

* Wed Oct 01 2003 Sergey V Turchin <zerg at altlinux dot org> 0.5.2-alt1
- new version
- fix build requires

* Fri Jan 17 2003 Sergey V Turchin <zerg@altlinux.ru> 0.5.0-alt1
- new version

* Mon Oct 14 2002 Sergey V Turchin <zerg@altlinux.ru> 0.4.9-alt1
- new version
- build with gcc3.2

* Tue Aug 13 2002 Sergey V Turchin <zerg@altlinux.ru> 0.4.7-alt1
- initial spec

